Bug 881955 - Always write '1' for resource agent booleans
Summary: Always write '1' for resource agent booleans
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 822502
TreeView+ depends on / blocked
 
Reported: 2012-11-29 21:02 UTC by Ryan McCabe
Modified: 2013-02-21 08:23 UTC (History)
2 users (show)

Fixed In Version: luci-0.26.0-29.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 08:23:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0309 normal SHIPPED_LIVE luci bug fix and enhancement update 2013-02-20 20:35:24 UTC

Description Ryan McCabe 2012-11-29 21:02:26 UTC
The resource agents are inconsistent in what values they accept for true/false for boolean inputs. They accept some combination "1"/"on"/"yes"/"true" (and their inverses). All accept 1/0, however, so always use those values.

This is fixed in upstream commit

commit dbf80eeb659641c0f254456ef7ac830038e5f589
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Thu Nov 29 15:33:24 2012 -0500

    luci: Audit of resource agent checkbox input
    
    Always write '1' instead of 'on' for enabled checkboxes. The resource
    agents are inconsistent in what values they accept for true and false
    inputs. All accept 1/0, though, so be consistent in using that.
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>

Comment 7 errata-xmlrpc 2013-02-21 08:23:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0309.html


Note You need to log in before you can comment on or make changes to this bug.